<?php

declare(strict_types=1);

namespace Drupal\Tests\s3fs_file_proxy_to_s3\Functional;

use Drupal\Core\Url;
use Drupal\Tests\BrowserTestBase;
use PHPUnit\Framework\Attributes\Group;

/**
 * Basic module testing.
 */
#[Group('s3fs_file_proxy_to_s3')]
final class InstallTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['s3fs_file_proxy_to_s3'];

  /**
   * Test basic module setup.
   */
  public function testSomething(): void {
    $admin_user = $this->drupalCreateUser(['administer stage_file_proxy settings']);
    $this->drupalLogin($admin_user);
    $this->drupalGet(Url::fromRoute('stage_file_proxy.admin_form'));
    $this->assertSession()->elementExists('xpath', '//h1[text() = "Stage File Proxy Settings"]');
  }

}
